# Redemptions

## Redemption Process

An onboarded Investor can redeem their TBILL tokens for USDC from the TBILL Vault by initiating a redemption request either on the[ TBILL Vault’s app interface](https://app.openeden.com/) or through the [TBILL Vault smart contract](/tbill/smart-contract-addresses.md). Redemption requests will be placed into a [redemption queue](#redemption-queue).&#x20;

During the redemption process, the TBILL tokens previously held by the Investor will be burnt. The final amount of USDC the Investor will receive will be the amount of TBILL tokens redeemed multiplied by the prevailing TBILL/USDC token price at the time of withdrawal, net of transaction fees.

{% hint style="info" %}
Please note that the exchange rate and transaction fee applied will be determined at the time when the redemption request is processed.
{% endhint %}

$$
usdcReceived = {tbillTokensWithdrawn \* exchangeRate - txnFee}
$$

## Redemption Queue

The requests in the redemption queue are processed in accordance with a First-In-First-Out (FIFO) model. Redemptions are typically processed on the next 1 U.S. business day.

## Restrictions

### Address Level

Redemptions can only be initiated from whitelisted addresses after participants have successfully completed the [onboarding process](/tbill/investor-onboarding.md). Additionally, all redemption requests have to meet the minimum value of USDC 1.

The Investor can expect to receive an email when a redemption request is made and upon successful redemption.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openeden.com/tbill/redemptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
